| egendist

## Function

Conversion of PHYLIP's gendist

## Description

EGENDIST - Embossified compute genetic distances from gene frequencies

Phylip gendist documentation.

## Usage

Here is a sample session with egendist using the data :-

        5    10
    2 2 2 2 2 2 2 2 2 2
    European   0.2868 0.5684 0.4422 0.4286 0.3828 0.7285 0.6386 0.0205 0.8055 0.5043
    African    0.1356 0.4840 0.0602 0.0397 0.5977 0.9675 0.9511 0.0600 0.7582 0.6207
    Chinese    0.1628 0.5958 0.7298 1.0000 0.3811 0.7986 0.7782 0.0726 0.7482 0.7334
    American   0.0144 0.6990 0.3280 0.7421 0.6606 0.8603 0.7924 0.0000 0.8086 0.8636
    Australian 0.1211 0.2274 0.5821 1.0000 0.2018 0.9000 0.9837 0.0396 0.9097 0.2976

    % egendist test

    Genetic Distance Matrix program
    Output file [egendist.outfile]: stdout
    Distance methods
           Nei : Nei genetic distance
           Cav : Cavalli-Sforza chord measur
           Rey : Reynolds genetic distance
        prompt : "Choose the method to use
    -method : enter list value [Nei]:
        5
    European    0.0000  0.0780  0.0807  0.0668  0.1030
    African     0.0780  0.0000  0.2347  0.1050  0.2273
    Chinese     0.0807  0.2347  0.0000  0.0539  0.0633
    American    0.0668  0.1050  0.0539  0.0000  0.1348
    Australian  0.1030  0.2273  0.0633  0.1348  0.0000

## Command line arguments

       Mandatory qualifiers (* if not always prompted):
      [-infile]            infile     data file
      [-outfile]           outfile    Output file name
       -method             list       (no help text) list value
    *  -datasets           integer    How many data sets

       Optional qualifiers:
       -all                bool       Input file contains all alleles at each
                                      locus (else one)
       -lowertriangle      bool       Lower-triangular (else Square)
       -multsets           bool       Analyze multiple data sets
       -progress           bool       Print indications of progress of run

       Advanced qualifiers: (none)

Mandatory qualifiers | Allowed values | Default
--- | --- | ---
[-infile] (Parameter 1) | data file | Input file | Required
[-outfile] (Parameter 2) | Output file name | Output file | egendist.outfile

-method

(no help text) list value

Nei | (Nei genetic distance)
Cav | (Cavalli-Sforza chord measur)
Rey | (Reynolds genetic distance)
prompt | ("Choose the method to use)

Nei

-datasets | How many data sets | Any integer value | 0
Optional qualifiers | Allowed values | Default
-all | Input file contains all alleles at each locus (else one) | Yes/No | No
-lowertriangle | Lower-triangular (else Square) | Yes/No | No
-multsets | Analyze multiple data sets | Yes/No | No
-progress | Print indications of progress of run | Yes/No | No
Advanced qualifiers | Allowed values | Default
(none)

## Input file format

## Output file format

## Data files

## Notes

## References

## Warnings

## Diagnostics

## Exit status

## Known bugs

## See also

## Author(s)

(c) Copyright 1986-1993 by Joseph Felsenstein and by the University of Washington. Written by Joseph Felsenstein. Permission is granted to copy this document provided that no fee is charged for it and that this copyright notice is not removed.

This application was modified for inclusion in EMBOSS by Ian Longden (il@sanger.ac.uk) Informatics Division, The Sanger Centre, Wellcome Trust Genome Campus, Hinxton, Cambridge, CB10 1SA, UK.

## Priority

## Target users

## Comments